package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.ERmStationExceed;
import cn.cecep.talroad.vo.PcFactoryVo;
import cn.cecep.talroad.vo.effective.ERmStationInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ERmStationExceedMapper extends BaseMapper<ERmStationExceed> {
    int updateBatch(List<ERmStationExceed> list);

    int updateBatchSelective(List<ERmStationExceed> list);

    int batchInsert(@Param("list") List<ERmStationExceed> list);

    /**
     * 分页查询站点信息
     *
     * @param page
     * @param entity
     * @return
     */
    IPage<ERmStationInfo> selectListInfo(Page<ERmStationInfo> page, ERmStationInfo entity);

    IPage<PcFactoryVo> selectGasAndHaveData(Page<PcFactoryVo> page);

    IPage<ERmStationInfo> selectStationList(Page<ERmStationInfo> page, ERmStationInfo entity);
}